%HIGH BROCCOLI POWDER SR

clc; clear; clear all;
%MOUTH
M=30;                 % min^-1,transfer rate constant from mouth to stomach - will not affect final curve much
SRR=0.4737;           % ratio of sulforaphane formed in mouth
SRNR=1-SRR;           % ratio of sulforaphane nitrile formed in mouth

%Broccoli Product
ITC0=354.17;          % uM, initial concentration of SR or IB ingested - estimate
Cgl0=383.33;          % uM, initial amount of GR or GI ingested - estimate

%Myrosinase Reaction
Vmax=2070;            % uM/min*mg MYR 
MYR=0.0348960299;     % mg of myrosinase per mg of broccoli in product - estimate
Km=110.161136443;     % uM, constant
Ki=893.018606646;     % uM, constant
BR=5000;              % mg of broccoli

%STOMACH
SH=0.02;              % min^-1, transfer rate constant from stomach (a) to stomach (b) - estimate
St=30;                % min, Stomach emptying time - estimate
S=log(0.05)/-St;      % min^-1, transfer rate constant from stomach to duodenum - estimate

%SMALL INTESTINES
ka=0.17952;           % min^-1,transfer rate constant from small and large intestine to blood - estimate
ktsi=0.03518;         % min^-1,transfer rate constant between small intestine compartments


%LARGE INTESTINTES
ktli=0.002682;        % min^-1,transfer rate constant between large intestine compartments
kf=0.00333;           % min^-1,gut conversion rate constant in large intestine compartments - estimate
keru=0.0011;          % min^-1, GR to Erucin & Erucin-Nitril rate constant in large intestines - estimate SR only
kni= 0.002;           % min^-1, GL conversion to ITC-nitrile rate constant in large intestines - estimate
keni=0.0015;

%BLOOD
ke=0.024;             % min^-1, excretion rate constant of ITC metabolites from blood to urine - estimate

%compartment volumes
V1=0.096;
V2=0.05;
V3=0.15;
V4=0.2;
VSI=1.5;
VLI=3.4;
NSI=6;
NLI=7;
V18=5;
% 
% time=[0:5:1440]';
% HighBP=averaging('High_BP_');
% load 'High_BP_averageSR.mat'
% HighBPavg=High_BP_averageSR';
% 
% a=HighBP(1,:);b=HighBP(2,:);c=HighBP(3,:);d=HighBP(4,:);e=HighBP(5,:);f=HighBP(6,:);
% g=HighBP(7,:);h=HighBP(8,:);i=HighBP(9,:);l=HighBP(10,:);m=HighBP(11,:);n=HighBP(12,:);
% o=HighBP(13,:);p=HighBP(14,:); q=HighBP(15,:); 
% 
% %GROUPS BASED PEAK EXCRETION RATE 
% %Group 1: Participants a and m
% a_m=[a;m];
% High_BP_a_m_averageSR=mean(a_m)';
% 
% %Group 2: Participants h and p
% h_p=[h;p];
% High_BP_h_p_averageSR=mean(h_p)';
% 
% %Group 3: Participants i and c
% i_c=[i;c];
% High_BP_i_c_averageSR=mean(i_c)';
% 
% %Group 4: Participants q and b
% q_b=[q;b];
% High_BP_q_b_averageSR=mean(q_b)';
% 
% %Group 5: Participants d,g, and f
% d_g_f=[d;g;f];
% High_BP_d_g_f_averageSR=mean(d_g_f)';
% 
% 
% %GROUPS BASED ON TIME 
% %Group 1: Participant o,f,and p
% o_f_p=[o;f;p];
% High_BP_o_f_p_averageSR=mean(o_f_p)';
% 
% %Group 2: Participants i,n,e,and q
% i_n_e_q=[i;n;e;q];
% High_BP_i_n_e_q_averageSR=mean(i_n_e_q)';
% 
% %Group 3: Participants c,h,b,and l
% c_h_b_l=[c;h;b;l];
% High_BP_c_h_b_l_averageSR=mean(c_h_b_l)';
