% NO BROCCOLI FLORETS SR

clc; clear; clear all;
%MOUTH
M=30;                 % min^-1,transfer rate constant from mouth to stomach - will not affect final curve much
SRR=0.4737;           % ratio of sulforaphane formed in mouth
SRNR=1-SRR;           % ratio of sulforaphane nitrile formed in mouth

%Broccoli Product
ITC0=3.125;           % uM, initial concentration of SR or IB ingested - estimate
Cgl0=734.375;         % uM, initial amount of GR or GI ingested - estimate

%Myrosinase Reaction
Vmax=2070;            % uM/min*mg MYR 
MYR=0.0000112568;     % mg of myrosinase per mg of broccoli in product - estimate
Km=110.161136443;     % uM, constant
Ki=893.018606646;     % uM, constant
BR=5000;              % mg of broccoli

%STOMACH
SH=0.02;            % min^-1, transfer rate constant from stomach (a) to stomach (b) - estimate
St=30;                % min, Stomach emptying time - estimate
S=log(0.05)/-St;      % min^-1, transfer rate constant from stomach to duodenum - estimate

%SMALL INTESTINES
ka=0.17952;           % min^-1,transfer rate constant from small and large intestine to blood - estimate
ktsi=0.0351;          % min^-1,transfer rate constant between small intestine compartments


%LARGE INTESTINTES
ktli=0.002682;     % min^-1,transfer rate constant between large intestine compartments
kf=0.00333;         % min^-1,gut conversion rate constant in large intestine compartments - estimate
keru=0.0011;          % min^-1, GR to Erucin & Erucin-Nitril rate constant in large intestines - estimate SR only
kni= 0.002;           % min^-1, GL conversion to ITC-nitrile rate constant in large intestines - estimate
keni=0.0015;

%BLOOD
ke=0.024;             % min^-1, excretion rate constant of ITC metabolites from blood to urine - estimate

%compartment volumes
V1=0.096;
V2=0.05;
V3=0.15;
V4=0.2;
VSI=1.5;
VLI=3.4;
NSI=6;
NLI=7;
V18=5;

% time=[0:5:1440]';
% NoBF=averaging('No_BF_');
% load 'No_BF_averageSR.mat'
% NoBFavg=No_BF_averageSR';
% 
% a=NoBF(1,:);b=NoBF(2,:);c=NoBF(3,:);d=NoBF(4,:);e=NoBF(5,:);f=NoBF(6,:);
% g=NoBF(7,:);h=NoBF(8,:);i=NoBF(9,:);l=NoBF(10,:);m=NoBF(11,:);n=NoBF(12,:);
% o=NoBF(13,:);q=NoBF(14,:); %there is no NoBF data for participant p
% 
% %GROUPS BASED TIME OF MAX PEAK 
% %Group 1: Participants a and b
% No_BF_a_b_averageSR=mean(NoBF(1:2,:))';
% 
% %Group 2: Participants q and o
% No_BF_q_o_averageSR=mean(NoBF(13:14,:))';
% 
% %Group 3: Participants g and h
% No_BF_g_h_averageSR=mean(NoBF(7:8,:))';
% 
% %Group 4: Participants n, c, and f
% n_c_f=[n;c;f];
% No_BF_n_c_f_averageSR=mean(n_c_f)';
% 
% %Group 5: Participants i,l,d,e, and m
% i_l_d_e_m=[i;l;d;e;m];
% No_BF_i_l_d_e_m_averageSR=mean(i_l_d_e_m)';
% 
% %Group 6: Participants n, c
% n_c=[n;c];
% No_BF_n_c_averageSR=mean(n_c)';
% 
% %GROUPS BASED ON MAX PEAK AMOUNTS
% %Group 1: Participant b
% No_BF_b_averageSR=NoBF(2,:)';
% 
% %Group 2: Participants e and i
% e_i=[e;i];
% No_BF_e_i_averageSR=mean(e_i)';
% 
% %Group 3: Participants f and l
% f_l=[f;l];
% No_BF_f_l_averageSR=mean(f_l)';
% 
% %Group 4: Participants o,m,d,n,a 
% o_m_d_n_a=[o;m;d;n;a];
% No_BF_o_m_d_n_a_averageSR=mean(o_m_d_n_a)';
% 
% %Group 5: Participants g,h,c,q 
% g_h_c_q=[g;h;c;q];
% No_BF_g_h_c_q_averageSR=mean(g_h_c_q)';


